// apply.cc - Apply
#define VERSION "v1.0"
// GPLed - Stephan T. Lavavej - http://stl.caltech.edu

#define NEWEXTENSION ".pnr"

#include <cstdlib>
#include <iostream>
#include <string>
using namespace std;

int main(int argc, char *argv[]) {
    cout << "Apply " VERSION " [GPLed] by Stephan T. Lavavej, http://stl.caltech.edu" << endl;

    if (argc < 3) {
        cout << "GPL:   http://www.gnu.org/licenses/gpl.txt" << endl;
        cout << "USAGE: apply program filename1 [filename2] ..." << endl;
        cout << "       Wildcards such as *.png are acceptable" << endl;
        exit(EXIT_SUCCESS);
    }


    const string progname = argv[1];

    for (int z = 2; z < argc; z++) {
        const string thisfilename = argv[z];
        const string newfilename = thisfilename + NEWEXTENSION;
        const string quote = "\"";
        const string quotedthisfilename = quote + thisfilename + quote;
        const string quotednewfilename = quote + newfilename + quote;
        const string space = " ";

        const string cmdstr = progname + space + quotedthisfilename + space + quotednewfilename;
        system(cmdstr.c_str());
    }
}

// Version History:
// v0.01beta - Initial C version
// v0.02beta - Converted to C++
// v0.03beta - Wrapped filenames in quotation marks
// v1.0 - Removed <dir.h> in favor of globbing
