// elide.cc - Elide
#define VERSION "v1.0"
// GPLed - Stephan T. Lavavej - http://stl.caltech.edu

#include <cstdlib>
#include <iostream>
#include <string>
#include <vector>
using namespace std;

class Elider {
public:
    Elider(string e) : e(e) { }
    string operator()(string s) {
        while (s.find(e) != string::npos) {
            s.erase(s.find(e), e.size());
        }

        return s;
    }

private:
    string e;
};

int main(int argc, char *argv[]) {
    cout << "Elide " VERSION " [GPLed] by Stephan T. Lavavej, http://stl.caltech.edu" << endl;

    if (argc < 3) {
        cout << "GPL:   http://www.gnu.org/licenses/gpl.txt" << endl;
        cout << "USAGE: elide \"String To Elide\" filename1 [filename2] ..." << endl;
        cout << "       Wildcards such as *.png are acceptable" << endl;
        exit(EXIT_SUCCESS);
    }

    string wordstoelide = argv[1];
    vector<string> args(argv + 2, argv + argc);
    vector<string> targs(args.size());

    transform(args.begin(), args.end(), targs.begin(), Elider(wordstoelide));

    for (size_t i = 0; i < args.size(); i++) {
        rename(args[i].c_str(), targs[i].c_str());
    }
}

// Version History:
// v1.0 - Initial C++ version
