// trim.cc - Trim
#define VERSION "v1.0"
// GPLed - Stephan T. Lavavej - http://stl.caltech.edu

#include <cstdlib>
#include <iostream>
#include <string>
using namespace std;

int main(int argc, char *argv[]) {
    cout << "Trim " VERSION " [GPLed] by Stephan T. Lavavej, http://stl.caltech.edu" << endl;

    if (argc < 3) {
        cout << "GPL:   http://www.gnu.org/licenses/gpl.txt" << endl;
        cout << "USAGE: trim ### filename1 [filename2] ..." << endl;
        cout << "       Wildcards such as *.png are acceptable" << endl;
        exit(EXIT_SUCCESS);
    }

    const size_t trim = atoi(argv[1]);

    for (int z = 2; z < argc; z++) {
        if (strlen(argv[z]) > trim) {
            rename(argv[z], argv[z] + trim);
        }
    }
}

// Version History:
// v1.0 - Initial C++ version
